Upsert Meta CAPI connection (optional access_token on update)
PUT
/v1/ctwa/meta-connectionsAuthorization
bearerAuthbearerAuthrequiredor
apiKeyAuthapiKeyAuthrequiredRequest body
requiredapplication/jsonaccess_tokenstringcapi_enabledbooleanrequireddataset_idstringpixel_idstringtest_event_codestringwaba_idstringrequiredResponses
200OK
capi_enabledbooleanrequiredcreated_atstringdataset_idstringhas_access_tokenbooleanrequiredidstringrequiredpixel_idstringtest_event_codestringupdated_atstringwaba_idstringrequired400Bad Request
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring401Unauthorized
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring403Forbidden
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring422Unprocessable Entity
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring500Internal Server Error
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstringRequest
curl -X PUT "/v1/ctwa/meta-connections" \
-H "Content-Type: application/json" \
-d '{
"access_token": "string",
"capi_enabled": true,
"dataset_id": "string",
"pixel_id": "string",
"test_event_code": "string",
"waba_id": "string"
}'const response = await fetch("/v1/ctwa/meta-connections", {
method: "PUT",
headers: {
"Content-Type": "application/json"
},
body: JSON.stringify({
"access_token": "string",
"capi_enabled": true,
"dataset_id": "string",
"pixel_id": "string",
"test_event_code": "string",
"waba_id": "string"
})
});import requests
response = requests.put(
"/v1/ctwa/meta-connections",
headers={
"Content-Type": "application/json"
},
json={
"access_token": "string",
"capi_enabled": True,
"dataset_id": "string",
"pixel_id": "string",
"test_event_code": "string",
"waba_id": "string"
},
)Response
{
"capi_enabled": true,
"created_at": "string",
"dataset_id": "string",
"has_access_token": true,
"id": "string",
"pixel_id": "string",
"test_event_code": "string",
"updated_at": "string",
"waba_id": "string"
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}